package com.jscape.inet.sftp.protocol.v3.messages;

import com.jscape.inet.sftp.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class SshFxpStat
        extends Message<SshFxpStat.Handler> {

    public final int id;
    public final String path;

    public SshFxpStat(int id, String path) {
        this.id = id;

        assertNotNull(path);
        this.path = path;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshFxpStat {"
                + "id=" + this.id
                + ", path='" + this.path + '\''
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshFxpStat message, MessageConnection<Message> connection);

    }
}
